Package be.ehealth.businessconnector.genericasync.helper

# Class DefaultCommonAsyncService

java.lang.Object
be.ehealth.businessconnector.genericasync.helper.DefaultCommonAsyncService

All Implemented Interfaces:
  `CommonAsyncService`

Direct Known Subclasses:
  `AgreementServiceImpl`, `AgreementServiceImpl`, `MedadminServiceImpl`, `MemberDataIrisCareNetService`, `MemberDataServiceImpl`, `MemberDataWalCareNetService`, `VsbNetInsurabilityServiceImpl`, `VsbNetInvoiceServiceImpl`, `VsbNetMohmServiceImpl`

public class DefaultCommonAsyncService extends Object implements CommonAsyncService

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultCommonAsyncService(String projectName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfirmResponse`
  `confirmAll(ProcessedGetResponse getResponse)`
  `ConfirmResponse`
  `confirmAllMessages(ProcessedGetResponse getResponse)`
  `ConfirmResponse`
  `confirmAllTAcks(ProcessedGetResponse getResponse)`
  `ConfirmResponse`
  `confirmMessage(ProcessedMsgResponse msgResponse)`
  `ConfirmResponse`
  `confirmTAck(ProcessedTAckResponse tAckResponse)`
  `SignatureVerificationResult`
  `validateXadesTWithManifest(TAckResponse tAckResponse, Blob postedBlob, byte[] xadesT)`
  Method to validate asynchrounously the signature of a tack response against the original posted blob.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultCommonAsyncService

    public DefaultCommonAsyncService(String projectName)

- ## Method Details

  - ### confirmAll

    public ConfirmResponse confirmAll(ProcessedGetResponse getResponse) throws ConnectorException
    Specified by:
      `confirmAll` in interface `CommonAsyncService`
    Throws:
      `ConnectorException`

  - ### confirmAllTAcks

    public ConfirmResponse confirmAllTAcks(ProcessedGetResponse getResponse) throws ConnectorException
    Specified by:
      `confirmAllTAcks` in interface `CommonAsyncService`
    Throws:
      `ConnectorException`

  - ### confirmAllMessages

    public ConfirmResponse confirmAllMessages(ProcessedGetResponse getResponse) throws ConnectorException
    Specified by:
      `confirmAllMessages` in interface `CommonAsyncService`
    Throws:
      `ConnectorException`

  - ### confirmTAck

    public ConfirmResponse confirmTAck(ProcessedTAckResponse tAckResponse) throws ConnectorException
    Specified by:
      `confirmTAck` in interface `CommonAsyncService`
    Throws:
      `ConnectorException`

  - ### confirmMessage

    public ConfirmResponse confirmMessage(ProcessedMsgResponse msgResponse) throws ConnectorException
    Specified by:
      `confirmMessage` in interface `CommonAsyncService`
    Throws:
      `ConnectorException`

  - ### validateXadesTWithManifest

    public SignatureVerificationResult validateXadesTWithManifest(TAckResponse tAckResponse, Blob postedBlob, byte[] xadesT) throws GenAsyncBusinessConnectorException
    Description copied from interface: `CommonAsyncService`
    Method to validate asynchrounously the signature of a tack response against the original posted blob.
    Specified by:
      `validateXadesTWithManifest` in interface `CommonAsyncService`
    Parameters:
      `tAckResponse` - the signed tack response
      `postedBlob` - the blob posted as the the original request. The signature must contain a manifest linked to this blob
      `xadesT` - the signature to be verified
    Returns:
    Throws:
      `GenAsyncBusinessConnectorException`